
<!-- 商户信息变更 弹层模式  -->

<template>
  <a-drawer
    v-model:visible="vdata.visible"
    title="商户信息变更"
    width="60%"
    @close="vdata.visible = false"
  >

    <JeepayApplymentAppChangeConfig v-if="vdata.visible" :configMode="'mgrApplyment'" ref="jeepayApplymentAppChangeConfigRef" />
  </a-drawer>
</template>

<script lang="ts" setup>
import {ref, reactive, nextTick} from 'vue'

const jeepayApplymentAppChangeConfigRef = ref()

const vdata : any = reactive({
  applyId: null, // 更新对象ID
  visible: false, // 是否显示弹层/抽屉
})

function show (data) { // 弹层打开事件)
  vdata.applyId = data.applyId
  vdata.visible = true

  nextTick(() => {
    jeepayApplymentAppChangeConfigRef.value.pageRender(data)
  })

}

defineExpose({ show })
</script>